CC=gcc
CFLAGS=-I$(HOME)/include/guile -I$(HOME)/include

LDFLAGS=-L$(HOME)/lib
#LDLIBS=-lguile -lgh -lm
LDLIBS=-lguile -lm

all: foo foo2

foo: foo.o c_builtins.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ foo.o c_builtins.o $(LDLIBS)

foo2: foo2.o c_builtins.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ foo2.o c_builtins.o $(LDLIBS)


clean:
	$(RM) *~ core

realclean: clean
	$(RM) *.o

distclean: realclean
	$(RM) foo foo2
